> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create document link

> Create a link for a document.



## OpenAPI

````yaml /reference/manage-vanta.json post /documents/{documentId}/links
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /documents/{documentId}/links:
    post:
      tags:
        - Documents
      summary: Create document link
      description: Create a link for a document.
      operationId: CreateLinkForDocument
      parameters:
        - in: path
          name: documentId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLinkForDocumentInput'
      responses:
        '201':
          description: Link created for document
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadedLink'
              examples:
                Example 1:
                  value:
                    id: '1'
                    creationDate: '2024-06-26T00:00:00.000Z'
                    effectiveDate: '2024-07-01T00:00:00.000Z'
                    title: example link
                    url: https://example.com/
                    description: example link
      security:
        - bearerAuth: []
components:
  schemas:
    CreateLinkForDocumentInput:
      properties:
        url:
          type: string
          description: The link's URL
        title:
          type: string
          description: The link's title.
        description:
          type: string
          nullable: true
          description: The link's description.
        effectiveDate:
          type: string
          format: date-time
          nullable: true
          description: The link's effective date.
      required:
        - url
        - title
      type: object
      additionalProperties: false
    UploadedLink:
      properties:
        id:
          type: string
          description: The link's unique ID
        creationDate:
          type: string
          format: date-time
          description: The link's creation date.
        effectiveDate:
          type: string
          format: date-time
          nullable: true
          description: The link's effective date.
        title:
          type: string
          description: The link's title.
        url:
          type: string
          description: The link's URL.
        description:
          type: string
          description: The link's description.
      required:
        - id
        - creationDate
        - effectiveDate
        - title
        - url
        - description
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````